/*
 * Map.h
 *
 *  Created on: Feb 13, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_MAP_H_
#define SRC_MAP_H_

#include <string>

class Map
{
public:
	Map(std::string tID, int ms, int ts);
	~Map();

	void LoadMap(std::string path, int sizeX, int sizeY, int scale);
	void AddTile(int srcX, int srcY, int xpos, int ypos);

	int width;
	int height;
	int tSize;

private:
	std::string texID;
	int mapScale;
	int tileSize;
	int scaledSize;
};

#endif /* SRC_MAP_H_ */
